Get Report Details API
Use this API to get the details of the requested report.
Input ParametersInput Parameters
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
| id | Mandatory | String | Provide a unique ID of the report. |
|
Authorization |
Mandatory |
String |
Authorization token to authenticate to the Qualys Enterprise TruRisk Platform Prepend token with Bearer and one space. For example - Bearer authToken |
SampleSample
API Request
curl -X GET
'<qualys_base_url>/etm/api/rest/v1/reports/0b127284-e128-4d02-a720-2748240c9f1a'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <JWT Token>'
Response
{
"id":"3dcbd5b3-e27e-4595-acd3-25ddb371ce33",
"name":"New_Report_7da6a00c-203e-4524-b290-822a2a3a74a9",
"description":"Test Report description",
"reportFormat":"JSON",
"findingsQql":"(finding.type: Vulnerability) and ((finding.severity:`1` and finding.riskFactor.rti:`Easy_Exploit`) and (finding.typeDetected: [`Confirmed`, `Potential`, `Sensitive Content`] and finding.status: [`NEW`, `ACTIVE`, `REOPENED`] and finding.disabled: FALSE and finding.ignored: FALSE))",
"status":"COMPLETED",
"created":"2024-12-17T14:44:46",
"createdBy":{
"id":"e254d3ed-0dbf-7207-81c9-790785f0f2a5",
"firstName":"Automation",
"lastName":"User",
"username":"john_doe"
},
"updated":"2024-12-17T14:44:46",
"updatedBy":{
"id":"e254d3ed-0dbf-7207-81c9-790785f0f2a5",
"firstName":"Automation",
"lastName":"User",
"username":"john_doe"
},
"expirationDate":"2026-01-17T14:44:45",
"resources":[
"part_13620991802218968.json",
"part_13214481074804456.json",
"part_13214481075841998.json",
"part_13621018353956655.json",
"part_13621018354659556.json"
]
}